Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.envers.query.criteria
Enum AggregatedAuditExpression.AggregatedMode

    java.lang.Object
      java.lang.Enum<AggregatedAuditExpression.AggregatedMode>
          org.hibernate.envers.query.criteria.AggregatedAuditExpression.AggregatedMode

All Implemented Interfaces:
  Serializable, Comparable<AggregatedAuditExpression.AggregatedMode>

Enclosing class:
  AggregatedAuditExpression

    public static enum AggregatedAuditExpression.AggregatedMode

extends Enum<AggregatedAuditExpression.AggregatedMode>

Enum Constant Summary
`MAX`
`MIN`

Method Summary
`static AggregatedAuditExpression.AggregatedMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AggregatedAuditExpression.AggregatedMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAX

    public static final AggregatedAuditExpression.AggregatedMode MAX

### MIN

    public static final AggregatedAuditExpression.AggregatedMode MIN

Method Detail

### values

    public static AggregatedAuditExpression.AggregatedMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AggregatedAuditExpression.AggregatedMode c : AggregatedAuditExpression.AggregatedMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AggregatedAuditExpression.AggregatedMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.